package com.brilliance.swift.mt2mx.camt056001.impl;

import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mt2mx.camt056001.AbstractMt2MxCamt056001ParseField;
import com.brilliance.swift.util.MapUtil;
import com.prowidesoftware.swift.model.SwiftMessage;
import com.prowidesoftware.swift.model.Tag;
import com.prowidesoftware.swift.model.mt.AbstractMT;

//将原始消息的标识号填入map集合中
public class Camt056001Parse21Field extends AbstractMt2MxCamt056001ParseField {

    private static final String NAME = "21";

    @Override
    public void parseField() throws SwiftException {
        SwiftMessage swiftMessage = context.get(AbstractMT.class).getSwiftMessage();
        Tag tag21 = swiftMessage.getBlock4().getTagByName(NAME);
        if (tag21 != null) {
            txInfMaps.put("orgnlInstrId", tag21.getValue());
            MapUtil.puts(txInfMaps, "orgnlGrpInf/orgnlMsgId", tag21.getValue());
        }
    }
}
