package com.brilliance.swift.mt2mx.pacs002001.mt202rejt;

import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mt2mx.pacs002001.AbstractMt2MxPacs002001ParseField;
import com.prowidesoftware.swift.model.SwiftMessage;
import com.prowidesoftware.swift.model.Tag;
import com.prowidesoftware.swift.model.mt.AbstractMT;

public class Pacs002001Parse21Field extends AbstractMt2MxPacs002001ParseField {

    private static final String NAME = "21";

    @Override
    public void parseField() throws SwiftException {
        SwiftMessage swiftMessage = context.get(AbstractMT.class).getSwiftMessage();
        Tag tag21 = swiftMessage.getBlock4().getTagByName(NAME);
        if (tag21 != null) {
            txInfAndStsMaps.put("orgnlEndToEndId", tag21.getValue());
        }
    }
}
