package com.brilliance.swift.mt2mx.pacs008001.impl;

import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mt2mx.pacs008001.AbstractMt2MxPacs008001ParseField;
import com.brilliance.swift.util.MapUtil;
import com.prowidesoftware.swift.model.Tag;
import com.prowidesoftware.swift.model.mt.AbstractMT;

public class Pacs00801Parse20Field extends AbstractMt2MxPacs008001ParseField {

    private static final String NAME = "20";

    @Override
    public void parseField() throws SwiftException {
        AbstractMT abstractMT = context.get(AbstractMT.class);
        Tag tag20 = abstractMT.getSwiftMessage().getBlock4().getTagByName(NAME);
        if (tag20 != null) {
            appHdrMaps.put("bizMsgIdr", tag20.getValue());
            grpHdrMaps.put("msgId", tag20.getValue());
            MapUtil.puts(cdtTrfTxInfMaps, "pmtId/instrId", tag20.getValue());
        }
    }
}
