package com.brilliance.swift.mt2mx.pacs008001.impl;

import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mt2mx.pacs008001.AbstractMt2MxPacs008001ParseField;
import com.brilliance.swift.util.MapUtil;
import com.prowidesoftware.swift.model.Tag;
import com.prowidesoftware.swift.model.mt.AbstractMT;

public class Pacs00801Parse26TField extends AbstractMt2MxPacs008001ParseField {

    private static final String NAME = "26T";

    @Override
    public void parseField() throws SwiftException {
        AbstractMT abstractMT = context.get(AbstractMT.class);
        Tag tag26T = abstractMT.getSwiftMessage().getBlock4().getTagByName(NAME);
        if (tag26T != null) {
            String value = ":26T:" + tag26T.getValue();
            MapUtil.puts(cdtTrfTxInfMaps, "purp/prtry", value);
        }
    }
}
