package com.brilliance.swift.mt2mx.pacs009001.impl;

import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mt2mx.pacs009001.AbstractMt2MxPacs009001ParseField;
import com.brilliance.swift.util.MapUtil;
import com.prowidesoftware.swift.model.Tag;
import com.prowidesoftware.swift.model.mt.AbstractMT;

public class Pacs009001Parse21Field extends AbstractMt2MxPacs009001ParseField {

    private static final String NAME = "21";

    @Override
    public void parseField() throws SwiftException {
        AbstractMT abstractMT = context.get(AbstractMT.class);
        Tag tag21 = abstractMT.getSwiftMessage().getBlock4().getTagByName(NAME);
        if (tag21 != null) {
            MapUtil.puts(cdtTrfTxInfMaps, "pmtId/endToEndId", tag21.getValue());
        }
    }
}
