package com.brilliance.swift.mx2message;

import com.brilliance.swift.util.MessageUtil;
import freemarker.template.TemplateMethodModelEx;
import freemarker.template.TemplateModelException;

import java.util.List;

public class I18NHelper implements TemplateMethodModelEx {
    private final String localCode;

    public I18NHelper(String localCode) {
        this.localCode = localCode;

    }

    @Override
    public Object exec(List list) throws TemplateModelException {
        return MessageUtil.getPropertyValue(localCode, list.get(0).toString());
    }
}
