package com.brilliance.swift.mx2message.camt052;

import com.brilliance.swift.SwiftTransfer;
import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mx2message.AbstractMx2MessageCreator;

import java.util.Map;

public class Mx2MessageCamt052Creator extends AbstractMx2MessageCreator {
    @Override
    public String mx2Message() throws SwiftException {
        Map<String, Object> elementMaps = SwiftTransfer.mx2ElementMaps(xmlStr);
        getAppHdrMessage(elementMaps);
        if (elementMaps.get("rptAcctIdIban") != null) {
            maps.put("rptAcctIdIban", elementMaps.get("rptAcctIdIban"));
        }
        if (elementMaps.get("rptAcctId") != null) {
            maps.put("rptAcctId", elementMaps.get("rptAcctId"));
        }
        if (elementMaps.get("rptAcctCcy") != null) {
            maps.put("rptAcctCcy", elementMaps.get("rptAcctCcy"));
        }
        if (elementMaps.get("lglSeqNb") != null) {
            maps.put("lglSeqNb", elementMaps.get("lglSeqNb"));
        }
        if (elementMaps.get("pgNb") != null) {
            maps.put("pgNb", elementMaps.get("pgNb"));
        }
        if (elementMaps.get("lastPgInd") != null) {
            Boolean lastPgInd = (Boolean)elementMaps.get("lastPgInd");
            maps.put("lastPgInd", lastPgInd ? getPropertyValue("yes") : getPropertyValue("no"));
        } else {
            maps.put("lastPgInd", getPropertyValue("no"));
        }
        if (elementMaps.get("ntry") != null) {
            maps.put("ntry",elementMaps.get("ntry"));
        }
        if (elementMaps.get("ttlCdNbOf") != null) {
            maps.put("ttlCdNbOf", elementMaps.get("ttlCdNbOf"));
        }
        if (elementMaps.get("ttlCdSum") != null) {
            maps.put("ttlCdSum", elementMaps.get("ttlCdSum"));
        }
        if (elementMaps.get("ttlDbNbOf") != null) {
            maps.put("ttlDbNbOf", elementMaps.get("ttlDbNbOf"));
        }
        if (elementMaps.get("ttlDbSum") != null) {
            maps.put("ttlDbSum", elementMaps.get("ttlDbSum"));
        }
        return process();
    }
}
