package com.brilliance.swift.mx2message.camt057;

import com.brilliance.swift.SwiftTransfer;
import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mx2message.AbstractMx2MessageCreator;

import java.util.Map;

public class Mx2MessageCamt057Creator extends AbstractMx2MessageCreator {
    @Override
    public String mx2Message() throws SwiftException {
        Map<String, Object> elementMaps = SwiftTransfer.mx2ElementMaps(xmlStr);
        getAppHdrMessage(elementMaps);
        if (elementMaps.get("acctId") != null) {
            maps.put("acctId", elementMaps.get("acctId"));
        }
        if (elementMaps.get("itmId") != null) {
            maps.put("itmId", elementMaps.get("itmId"));
        }
        if (elementMaps.get("itmUetr") != null) {
            maps.put("uetr", elementMaps.get("itmUetr"));
        }
        if (elementMaps.get("itmCcy") != null) {
            maps.put("ccy", elementMaps.get("itmCcy"));
        }
        if (elementMaps.get("itmAmt") != null) {
            maps.put("amt", elementMaps.get("itmAmt"));
        }
        if (elementMaps.get("itmXpctdValDt") != null) {
            maps.put("itmXpctdValDt", elementMaps.get("itmXpctdValDt"));
        }
        buildAgentInfo("acctOwnrAgt", elementMaps);
        buildAgentInfo( "acctSvcr", elementMaps);
        buildPartyInfo( "dbtrPty", elementMaps);
        buildAgentInfo( "dbtrAgt", elementMaps);
        buildAgentInfo( "intrmyAgt", elementMaps);
        return process();
    }
}
