package com.brilliance.swift.mx2message.pacs002;

import com.brilliance.swift.SwiftTransfer;
import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mx2message.AbstractMx2MessageCreator;

import java.util.Map;

public class Mx2MessagePacs002Creator extends AbstractMx2MessageCreator {
    @Override
    public String mx2Message() throws SwiftException {
        Map<String, Object> elementMaps = SwiftTransfer.mx2ElementMaps(xmlStr);
        getAppHdrMessage(elementMaps);
        if (elementMaps.get("endToEndId") != null) {
            maps.put("endToEndId", elementMaps.get("endToEndId"));
        }
        if (elementMaps.get("uetr") != null) {
            maps.put("uetr", elementMaps.get("uetr"));
        }
        if (elementMaps.get("orgnlMsgId") != null) {
            maps.put("orgnlMsgId", elementMaps.get("orgnlMsgId"));
        }
        if (elementMaps.get("orgnlMsgNmId") != null) {
            maps.put("orgnlMsgNmId", elementMaps.get("orgnlMsgNmId"));
        }
        if (elementMaps.get("orgnlCreDtTm") != null) {
            maps.put("orgnlCreDtTm", elementMaps.get("orgnlCreDtTm"));
        }
        if (elementMaps.get("orgnlEndToEndId") != null) {
            maps.put("orgnlEndToEndId", elementMaps.get("orgnlEndToEndId"));
        }
        if (elementMaps.get("orgnlUETR") != null) {
            maps.put("orgnlUETR", elementMaps.get("orgnlUETR"));
        }
        if (elementMaps.get("orgtrNm") != null) {
            maps.put("orgtrNm", elementMaps.get("orgtrNm"));
        }
        if (elementMaps.get("rsnCd") != null) {
            maps.put("rsnCd", elementMaps.get("rsnCd"));
        }
        if (elementMaps.get("txSts") != null) {
            maps.put("txSts", elementMaps.get("txSts"));
        }
        if (elementMaps.get("clrSysRef") != null) {
            maps.put("clrSysRef", elementMaps.get("clrSysRef"));
        }
        if (elementMaps.get("fctvIntrBkSttlmDt") != null) {
            maps.put("fctvIntrBkSttlmDt", elementMaps.get("fctvIntrBkSttlmDt"));
        }
        return process();
    }
}
