package com.brilliance.swift.element2mx.pacs004001;

import com.alibaba.fastjson.JSONArray;
import com.brilliance.swift.element2mx.AbstractElement2MxCreator;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class Element2MxPacs004001Creator extends AbstractElement2MxCreator {

    @Override
    protected boolean isArray(String key) {
        if ("txInf".equals(key)||"rtrRsnInf".equals(key)) {
            return true;
        }
        return false;
    }
    @Override
    protected void rebuildProperties() {
        properties.put("frBic", "appHdr.fr.fiId.finInstnId.bicfi");
        properties.put("toBic", "appHdr.to.fiId.finInstnId.bicfi");
    }
    public void buildStrdAddtlRmtInf(HashMap<String,Object> maps, Object obj) {
        List<Object> objList = (List<Object>)obj;
        JSONArray sourceJsonArray = new JSONArray();
        JSONArray jsonArray = (JSONArray)objList.get(0);
        List<String> list1 = null;
        for (int i=0; i<jsonArray.size(); i++) {
            if (i % 3 == 0) {
                list1 = new ArrayList<String>();
                Map<String, Object> map = new HashMap<String, Object>();
                map.put("addtlRmtInf", list1);
                sourceJsonArray.add(map);
            }
            list1.add((String) jsonArray.get(i));
        }
        Map<String,Object> rmtInf = (Map<String,Object>)maps.get("rmtInf");
        putObj(rmtInf, "strd", sourceJsonArray);
    }


}
