package com.brilliance.swift.mt2mx.camt029001.impl;

import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mt2mx.camt029001.AbstractMt2MxCamt029001ParseField;
import com.brilliance.swift.util.MapUtil;
import com.prowidesoftware.swift.model.SwiftMessage;
import com.prowidesoftware.swift.model.Tag;
import com.prowidesoftware.swift.model.mt.AbstractMT;

//将原始消息的标识号填入map集合中
public class Camt029001Parse21Field extends AbstractMt2MxCamt029001ParseField {

    private static final String NAME = "21";

    @Override
    public void parseField() throws SwiftException {
        SwiftMessage swiftMessage = context.get(AbstractMT.class).getSwiftMessage();
        Tag tag21 = swiftMessage.getBlock4().getTagByName(NAME);
        if (tag21 != null) {
            MapUtil.puts(txInfAndStsMaps, "rslvdCase/id", tag21.getValue());
        }
    }
}
