package com.brilliance.swift.mt2mx.camt029001.impl;

import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mt2mx.camt029001.AbstractMt2MxCamt029001ParseField;
import com.prowidesoftware.swift.model.SwiftMessage;
import com.prowidesoftware.swift.model.Tag;
import com.prowidesoftware.swift.model.mt.AbstractMT;

public class Camt029001Parse76Field extends AbstractMt2MxCamt029001ParseField {

    private static final String NAME = "76";

    @Override
    public void parseField() throws SwiftException {
        SwiftMessage swiftMessage = context.get(AbstractMT.class).getSwiftMessage();
        Tag tag76 = swiftMessage.getBlock4().getTagByName(NAME);
        String mtField76 = tag76 == null ? null : tag76.getValue();
        //MT_To_MXField76
        mt_To_mxField76(mtField76, txInfAndStsMaps, stsMaps);
    }
}
