package com.brilliance.swift.mt2mx.camt054001.impl;

import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mt2mx.camt054001.AbstractMt2MxCamt054001ParseField;
import com.brilliance.swift.util.MapUtil;
import com.prowidesoftware.swift.model.Tag;
import com.prowidesoftware.swift.model.mt.AbstractMT;
//这个域是将业务编号存入map集合中
public class Camt054001Parse21Field extends AbstractMt2MxCamt054001ParseField {

    private static final String NAME = "21";

    @Override
    public void parseField() throws SwiftException {
        AbstractMT abstractMT = context.get(AbstractMT.class);
        Tag tag21 = abstractMT.getSwiftMessage().getBlock4().getTagByName(NAME);
        if (tag21 != null) {
            MapUtil.puts(txDtlsMaps, "refs/endToEndId", tag21.getValue());
            MapUtil.puts(txDtlsMaps, "refs/instrId", tag21.getValue());
        }
    }
}
