package com.brilliance.swift.mt2mx.camt056001.impl;

import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mt2mx.camt056001.AbstractMt2MxCamt056001ParseField;
import com.prowidesoftware.swift.model.SwiftMessage;
import com.prowidesoftware.swift.model.Tag;
import com.prowidesoftware.swift.model.mt.AbstractMT;

//79域就是将取消原因对应代码和取消原因的详情放入对应的map集合中
public class Camt056001Parse79Field extends AbstractMt2MxCamt056001ParseField {

    private static final String NAME = "79";

    @Override
    public void parseField() throws SwiftException {
        SwiftMessage swiftMessage = context.get(AbstractMT.class).getSwiftMessage();
        Tag tag79 = swiftMessage.getBlock4().getTagByName(NAME);
        String mtField79 = tag79 == null ? null : tag79.getValue();
        //MT_To_MXField79
        mt_To_mxField79(mtField79, swiftMessage.getUETR(), txInfMaps);
    }
}
