package com.brilliance.swift.mt2mx.pacs008001.impl;

import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mt2mx.pacs008001.AbstractMt2MxPacs008001ParseField;
import com.brilliance.swift.mt2mx.setlmtd.SettlementMethodAnalyzerFactory;
import com.brilliance.swift.util.MapUtil;
import com.brilliance.swift.vo.VoSettlementMethodHelper;

/**
 * Group Header -> Settlement Information -> Settlement Method
 */
public class Pacs00801ParseSetlMtdField extends AbstractMt2MxPacs008001ParseField {
    @Override
    public void parseField() throws SwiftException {
        VoSettlementMethodHelper setlMtdHelper = SettlementMethodAnalyzerFactory.find(context).analyse();
        String settlementMethod = setlMtdHelper.getSettlementMethod();
        MapUtil.puts(grpHdrMaps, "sttlmInf/sttlmMtd", settlementMethod);
        context.set(setlMtdHelper);
    }
}
