package com.brilliance.swift.mx2message.camt060;

import com.brilliance.swift.SwiftTransfer;
import com.brilliance.swift.exception.SwiftException;
import com.brilliance.swift.mx2message.AbstractMx2MessageCreator;

import java.util.Map;

public class Mx2MessageCamt060Creator extends AbstractMx2MessageCreator {
    @Override
    public String mx2Message() throws SwiftException {
        Map<String, Object> elementMaps = SwiftTransfer.mx2ElementMaps(xmlStr);
        getAppHdrMessage(elementMaps);
        getCamt060Msg("053",elementMaps);
        getCamt060Msg("052",elementMaps);
        getCamt060Msg("941",elementMaps);
        getCamt060Msg("942",elementMaps);
        getCamt060Msg("940",elementMaps);
        getCamt060Msg("950",elementMaps);
        return process();
    }
    public void getCamt060Msg(String msgNameId,Map<String,Object> elementMaps){
        if (elementMaps.get("msgNameId_"+msgNameId) != null) {
            maps.put("msgNameId_"+msgNameId, elementMaps.get("msgNameId_"+msgNameId));
        }
        if (elementMaps.get("acctId_"+msgNameId) != null) {
            maps.put("acctId_"+msgNameId, elementMaps.get("acctId_"+msgNameId));
        }
        if (elementMaps.get("account_"+msgNameId) != null) {
            maps.put("account_"+msgNameId, elementMaps.get("account_"+msgNameId));
        }
        if (elementMaps.get("debtAmt_"+msgNameId) != null) {
            maps.put("debtAmt_"+msgNameId, elementMaps.get("debtAmt_"+msgNameId));
        }
        if (elementMaps.get("debtCcy_"+msgNameId) != null) {
            maps.put("debtCcy_"+msgNameId, elementMaps.get("debtCcy_"+msgNameId));
        }
        if (elementMaps.get("debtCdtDbtInd_"+msgNameId) != null) {
            maps.put("debtCdtDbtInd_"+msgNameId, elementMaps.get("debtCdtDbtInd_"+msgNameId));
        }
        if (elementMaps.get("credAmt_"+msgNameId) != null) {
            maps.put("credAmt_"+msgNameId, elementMaps.get("credAmt_"+msgNameId));
        }
        if (elementMaps.get("credCcy_"+msgNameId) != null) {
            maps.put("credCcy_"+msgNameId, elementMaps.get("credCcy_"+msgNameId));
        }
        if (elementMaps.get("credCdtDbtInd_"+msgNameId) != null) {
            maps.put("credCdtDbtInd_"+msgNameId, elementMaps.get("credCdtDbtInd_"+msgNameId));
        }
        if (elementMaps.get("bothAmt_"+msgNameId) != null) {
            maps.put("bothAmt_"+msgNameId, elementMaps.get("bothAmt_"+msgNameId));
        }
        if (elementMaps.get("bothCcy_"+msgNameId) != null) {
            maps.put("bothCcy_"+msgNameId, elementMaps.get("bothCcy_"+msgNameId));
        }
        if (elementMaps.get("bothCdtDbtInd_"+msgNameId) != null) {
            maps.put("bothCdtDbtInd_"+msgNameId, elementMaps.get("bothCdtDbtInd_"+msgNameId));
        }
    }
}
